OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
CompanyInfrastructure Struct Reference

## Public Member Functions
uint32 | GetRailTotal () const
| Get total sum of all owned track bits.

## Data Fields
uint32 | road [ROADTYPE_END]
| Count of company owned track bits for each road type.
uint32 | signal
| Count of company owned signals.
uint32 | rail [RAILTYPE_END]
| Count of company owned track bits for each rail type.
uint32 | water
| Count of company owned track bits for canals.
uint32 | station
| Count of company owned station tiles.
uint32 | airport
| Count of company owned airports.

## Detailed Description

Definition at line 31 of file company_base.h.

## Member Function Documentation

uint32 CompanyInfrastructure::GetRailTotal | ( |  | ) | const
| inline

Get total sum of all owned track bits.

Definition at line 40 of file company_base.h.

References rail, RAILTYPE_BEGIN, and RAILTYPE_END.

Referenced by CompaniesGenStatistics(), CompanyInfrastructureWindow::DrawWidget(), CompanyInfrastructureWindow::GetTotalMaintenanceCost(), and CompanyInfrastructureWindow::UpdateWidgetSize().

The documentation for this struct was generated from the following file:

- src/company_base.h